> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/augsupieladet-failus-ar-geopard-api.md).

# Augšupielādēt failus ar GeoPard API

{% hint style="success" %}
Ieteicamā pieeja failiem, kas lielāki par 6 MB, ir [iepriekš parakstītā URL plūsma](/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/55.-augsupieladet-zip-failus-virs-6-mb.md).
{% endhint %}

GeoPard API ļauj augšupielādēt zip arhīvus ar augsnes/ražas/izkliedes/lauka robežu datu kopām turpmākai apstrādei un analītikai.

{% hint style="danger" %}
AWS ierobežojuma dēļ maksimālais faila izmērs, ko varat augšupielādēt caur šo REST galapunktu, ir 6 MB.
{% endhint %}

Failu, kas lielāki par 6 MB, augšupielādes soļi ir aprakstīti [Augšupielādēt zip failus (virs 6 MB)](/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/55.-augsupieladet-zip-failus-virs-6-mb.md).

Tiklīdz augsnes/ražas/izkliedes datu kopas augšupielāde ir veiksmīgi pabeigta, GeoPard dzinējs to piesaista attiecīgajiem laukiem, kas atrodas definētajā saimniecībā.

Tiklīdz robežas augšupielāde ir veiksmīgi pabeigta, GeoPard dzinējs uzsāk tās apstrādi.

Atbilde satur `<uuid>` ko varat izmantot, lai izsekotu apstrādes statusu.

#### Pieprasījuma paraugs:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametri ir:

1. `<type>` - augšupielādētās datu kopas veids. Tam jābūt `raža` VAI `augsne` VAI `izkliede` VAI `robeža`.
2. `<farm_uuid>` - `uuid` no saimniecības, kurā fails tiks augšupielādēts (pēc izvēles).
3. `<token>` - GeoPard piekļuves žetons.
4. `@path/to/file.zip` - ceļš uz augšupielādējamo failu.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/augsupieladet-failus-ar-geopard-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
